---
uuid: 2e69b9af-ac6d-4ed6-9213-03e86b7b4151
date_created: 2025-07-05T08:07:45.807Z
date_updated: 2026-03-11T09:25:34.696Z
outdated: true
end_of_support_date: 2024-05-22
routes: 
  - GET /v0/transport_stations
---

# Upgrade from GET /v0/transport\_stations to GET /v1/transport\_stations

## Context

Upgrade from **GET** - `/v0/transport_stations` to **GET** -  `/v1/transport_stations`

⭐  **Key benefits :** display cities depending on a new parameter. The new paramter is the caller : B2C or B2B
⚠️ **Called backs**: ICC + CMS

ℹ️ in the response body=> a new field "tags"  is added
By default, B2C cities will be displayed

***

> As a BE B2B DEV
> I want to display the cities depending on a new parameter
> In order to allow the vendor to sugget other stops

***

## Impacts

\=> Resource to call: `GET /v1/transport_stations`

## Body

```diff
[
  {
      "id": "CDG",
      "city_id": "PAR",
      "type": "AIRPORT",
      "label": "Paris-Roissy Charles de Gaulle",
      "is_main_city_station": true,
++ "tags":"b2c" => un tableau 
  }
]
```
